Author Topic: Autoupdater C++ error  (Read 7574 times)

0 Members and 1 Guest are viewing this topic.

Offline (TLL)KitLightning

  • Resident Necromancer
  • Apprentice Dev
  • Living Legend
  • *
  • Posts: 6012
  • l33tp0intz: +524/-2
  • πάντα ρει, και ουδέν μένει
    • The Living Legends
Re: Autoupdater C++ error
« Reply #15 on: December 21, 2011, 10:05:36 AM »
Please use this torrent for updating the build by: http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.4.torrent
   

                 BUG Reports                                    Technical Issues                                       Install Errors

"Only two things are infinite, the universe and human stupidity, and I'm not sure about the former." ~Albert Einstein
                                     "It'll take time to restore chaos" ~George W. Bush

Offline Alex2603

  • Recruit
  • *
  • Posts: 68
  • l33tp0intz: +18/-0
Re: Autoupdater C++ error
« Reply #16 on: December 21, 2011, 11:16:11 PM »
The problem solved by itself for me...

Offline Crix

  • Bondsman
  • *
  • Posts: 23
  • l33tp0intz: +0/-0
Re: Autoupdater C++ error
« Reply #17 on: December 22, 2011, 06:50:57 AM »
After installing the 5.4 patch and booting up the game I get an error that says my MWLL files have been modified, please revert them to their original state to play.

Offline (TLL)KitLightning

  • Resident Necromancer
  • Apprentice Dev
  • Living Legend
  • *
  • Posts: 6012
  • l33tp0intz: +524/-2
  • πάντα ρει, και ουδέν μένει
    • The Living Legends
Re: Autoupdater C++ error
« Reply #18 on: December 22, 2011, 02:30:27 PM »
After installing the 5.4 patch and booting up the game I get an error that says my MWLL files have been modified, please revert them to their original state to play.

Can you attach the Game.log located in the Crysis Wars root folder so we can see which files are causing this?
   

                 BUG Reports                                    Technical Issues                                       Install Errors

"Only two things are infinite, the universe and human stupidity, and I'm not sure about the former." ~Albert Einstein
                                     "It'll take time to restore chaos" ~George W. Bush

Offline Crix

  • Bondsman
  • *
  • Posts: 23
  • l33tp0intz: +0/-0
Re: Autoupdater C++ error
« Reply #19 on: December 22, 2011, 05:13:05 PM »
I had installed the 5.3 full, then the 5.4 patch. + the newest version of the tools download.

Offline shadowmantis

  • Bondsman
  • *
  • Posts: 1
  • l33tp0intz: +0/-0
Re: Autoupdater C++ error
« Reply #20 on: December 24, 2011, 07:00:46 AM »
ok i'm getting the same errors as all above, i run windows vista x64. c++ updated, etc, ive tried downloading multiple times and still get the same C++ error crash upon patching. i also just downloaded the tools, 5.3 and 5.4 patch, and i'm getting the same "modified files" message that the last poster is getting.

Been wanting to check this out for awhile hope ot get this running asap any ideas?


thanks,

Offline (TLL)KitLightning

  • Resident Necromancer
  • Apprentice Dev
  • Living Legend
  • *
  • Posts: 6012
  • l33tp0intz: +524/-2
  • πάντα ρει, και ουδέν μένει
    • The Living Legends
Re: Autoupdater C++ error
« Reply #21 on: December 24, 2011, 07:52:50 AM »
I had installed the 5.3 full, then the 5.4 patch. + the newest version of the tools download.

The err is all on me for not replying :(

It appears that some files are missing in the build completely (see vide infra) which is causing the err. Either the extracted files have not been completely installed or they may have been corrupted during download.

Quote from: Game.log
CheatProtection: Missing files:
 * Mods/mwll/Game/Config/joystick.cfg
 * Mods/mwll/Game/GameData1.pak
 * Mods/mwll/Game/Languages/game_text_messages.xml
 * Mods/mwll/Game/Languages/ui_text_messages.xml
 * Mods/mwll/Game/Localized/Video/bg.sfd
 * Mods/mwll/Game/Localized/Video/Trailer_Wandering_Samurai_Studios.sfd
 * Mods/mwll/Game/Music.pak
 * Mods/mwll/Game/Objects.pak
 * Mods/mwll/Game/Shaders.pak
 * Mods/mwll/Game/Textures.pak

Are you able to make an MD5 Hash check of the .zip files downloaded, starting with the latest Patch 0.5.4 to verify the files integrity?

The downloaded files can be found in your Crysis Wars/Mods/MWLL/Updates folder and Documents/My Games/Crysis Wars/MWLL/Updates/.

HashCalc: http://www.slavasoft.com/hashcalc/

Direct Download links:
http://www.mwlldownload.com/download/MWLL-CrysisWars-OpenBeta-Full-0.5.0.exe (1,73GB / 1.776KB)
[MD5: a0fe6a92082fec934556a72f175c9d53]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Full-0.5.0.zip (2,42GB / 2.546.144KB)
[MD5: 52927e1b96230a021bf0afb6ad86f011]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.1.zip (185MB / 189.969KB)
[MD5: c3a3551b0bcca951b52420732a4c9140]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.2.zip (1,39GB / 1.467.274KB)
[MD5: e2446e023e6cb8ecd28cd7e857c057be]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Full-0.5.3.zip (202MB / 207.412KB)
[MD5: 5ea8aac8bbb767b47653d976af8d4f1e]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.4.zip (520MB / 532.745KB)
[MD5: 8f67201089deaed2da80a95ad3951e23]

If the files appear to be in order, deleting the contents in the MWLL folder completely and extracting all contents again may be a possible solution.

ok i'm getting the same errors as all above, i run windows vista x64. c++ updated, etc, ive tried downloading multiple times and still get the same C++ error crash upon patching. i also just downloaded the tools, 5.3 and 5.4 patch, and i'm getting the same "modified files" message that the last poster is getting.

Been wanting to check this out for awhile hope ot get this running asap any ideas?


thanks,

If you are up-to-date with the current VC++ redistributals, you can safely press "No" when or if the Updater asks for an update.

On the "Modified Files" err please check the integrity of the files.
« Last Edit: December 25, 2011, 04:33:12 PM by (TLL)KitLightning »
   

                 BUG Reports                                    Technical Issues                                       Install Errors

"Only two things are infinite, the universe and human stupidity, and I'm not sure about the former." ~Albert Einstein
                                     "It'll take time to restore chaos" ~George W. Bush

Offline Crix

  • Bondsman
  • *
  • Posts: 23
  • l33tp0intz: +0/-0
Re: Autoupdater C++ error
« Reply #22 on: December 24, 2011, 07:33:36 PM »
I had installed the 5.3 full, then the 5.4 patch. + the newest version of the tools download.

It appears that some files are missing in the build completely (see vide infra) which is causing the err. Either the extracted files have not been completely installed or they may have been corrupted during download.

Are you able to make an MD5 Hash check of the .zip files downloaded, starting with the latest Patch 0.5.4 to verify the files integrity?

The downloaded files can be found in your Crysis Wars/Mods/MWLL/Updates folder and Documents/My Games/Crysis Wars/MWLL/Updates/.

HashCalc: http://www.slavasoft.com/hashcalc/

Direct Download links:
http://www.mwlldownload.com/download/MWLL-CrysisWars-OpenBeta-Full-0.5.0.exe (1,73GB / 1.776KB)
[MD5: 52927e1b96230a021bf0afb6ad86f011]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Full-0.5.0.zip (2,42GB / 2.546.144KB)
[MD5: 52927e1b96230a021bf0afb6ad86f011]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.1.zip (185MB / 189.969KB)
[MD5: c3a3551b0bcca951b52420732a4c9140]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.2.zip (1,39GB / 1.467.274KB)
[MD5: e2446e023e6cb8ecd28cd7e857c057be]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Full-0.5.3.zip (202MB / 207.412KB)
[MD5: 5ea8aac8bbb767b47653d976af8d4f1e]
http://www.mwlldownload.com/download/MWLL-OpenBeta-Patch-0.5.4.zip (520MB / 532.745KB)
[MD5: 8f67201089deaed2da80a95ad3951e23]

If the files appear to be in order, deleting the contents in the MWLL folder completely and extracting all contents again may be a possible solution.

ok i'm getting the same errors as all above, i run windows vista x64. c++ updated, etc, ive tried downloading multiple times and still get the same C++ error crash upon patching. i also just downloaded the tools, 5.3 and 5.4 patch, and i'm getting the same "modified files" message that the last poster is getting.

Been wanting to check this out for awhile hope ot get this running asap any ideas?


thanks,

If you are up-to-date with the current VC++ redistributals, you can safely press "No" when or if the Updater asks for an update.

On the "Modified Files" err please check the integrity of the files.

I'm getting hash checks and I've already completely reinstalled at least 3 times

edit:the 5.3  rar clearly isn't a full version and shouldn't be labeled as one, now that I've noticed this it should fix the problem.
« Last Edit: December 24, 2011, 08:09:13 PM by Crix »

Offline (TLL)KitLightning

  • Resident Necromancer
  • Apprentice Dev
  • Living Legend
  • *
  • Posts: 6012
  • l33tp0intz: +524/-2
  • πάντα ρει, και ουδέν μένει
    • The Living Legends
Re: Autoupdater C++ error
« Reply #23 on: December 25, 2011, 04:19:01 PM »
I'm getting hash checks and I've already completely reinstalled at least 3 times

edit:the 5.3  rar clearly isn't a full version and shouldn't be labeled as one, now that I've noticed this it should fix the problem.

Which file had a hascheck err, and have the file been downloaded and appears to work now? I have two of each .zip that I extracted the values from. The 0.5.3 was sadly compiled as a full release, sorry for any inconvenience this may have brought you.
   

                 BUG Reports                                    Technical Issues                                       Install Errors

"Only two things are infinite, the universe and human stupidity, and I'm not sure about the former." ~Albert Einstein
                                     "It'll take time to restore chaos" ~George W. Bush

Offline Crix

  • Bondsman
  • *
  • Posts: 23
  • l33tp0intz: +0/-0
Re: Autoupdater C++ error
« Reply #24 on: December 29, 2011, 04:00:01 AM »
The problem was fixed after I installed each patch manually.

Offline Mekabuser=12thVR=

  • Star Captain
  • ***
  • Posts: 934
  • l33tp0intz: +44/-0
Re: Autoupdater C++ error
« Reply #25 on: June 10, 2012, 06:55:42 PM »
Have same exact problem as OP . going to be quite the PITA to fix i think .
Any new info I need to know before  I try to do this? Running same setup win 7 64

Offline (TLL)KitLightning

  • Resident Necromancer
  • Apprentice Dev
  • Living Legend
  • *
  • Posts: 6012
  • l33tp0intz: +524/-2
  • πάντα ρει, και ουδέν μένει
    • The Living Legends
Re: Autoupdater C++ error
« Reply #26 on: June 11, 2012, 12:49:59 AM »
Not afaik, though you can check to see if there is an indication to which files exactly that is in conflict, in the MWLL.AutoUpdater.exe.log, it is located in My Games/Crysis Wars/MWLL/Launcher.
   

                 BUG Reports                                    Technical Issues                                       Install Errors

"Only two things are infinite, the universe and human stupidity, and I'm not sure about the former." ~Albert Einstein
                                     "It'll take time to restore chaos" ~George W. Bush

Offline Mekabuser=12thVR=

  • Star Captain
  • ***
  • Posts: 934
  • l33tp0intz: +44/-0
Re: Autoupdater C++ error
« Reply #27 on: June 11, 2012, 03:47:12 AM »
MWLL uses MS VisualStudio C++ 2005 SP1 which you may update the OS manually with, and see if it is resolved:

Microsoft Visual C++ 2005 Redistributable Package (x64): http://www.microsoft.com/download/en/details.aspx?id=21254
Microsoft Visual C++ 2005 SP1 RP ATL Security Update: http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=26347

Have you downloaded the game initially? If so extracting the build to the correct location and add a link to the MWLL.Launcher should suffice.
I dl and run first link, then dl and run second, first dl. The second didnt work <not compatible > but tried direct dl for the updater and this time it "engaged" SO right now M downloading and hopefully can play tonight on win 7 ... yippee.

UPDATE

For those who have this problem posed by the OP, I got the mod to instal, BUT. . the message did pop up several more times as the mod DL. iow. What I did was that each time I got that c+++ error window, id close the updater, and restart it. It would revert to where it had DL to and then continue to DL. This happened about 5 times but eventually it completed. Now I just have to figure out why the win7 64 bit version doesnt want to stay in fullscreen mode and why my setpoint keystroke settings for my mx518 arenot working in game, but they do on the internet.
« Last Edit: June 12, 2012, 02:16:04 PM by Mekabuser=12thVR= »

Offline Nemo

  • Recruit
  • *
  • Posts: 169
  • l33tp0intz: +17/-1
Re: Autoupdater C++ error
« Reply #28 on: July 27, 2012, 06:12:30 AM »
Same error as OP when trying to install .6. Torrented the .6 files and dropped them in, loaded the game and played on a RUS server for a bit. Game works but needs to be updated. Except im getting the same error again and cannot update to .6.1.

EDIT: I got the updater to work. Instead of starting the download when the updater launched I went into settings and set it to parallel http (was set to rast.lib torrent) and turned off start launcher after update and preserve file for seeding. I changed all three settings at once, which may not have been needed, but it worked now.
« Last Edit: July 27, 2012, 06:21:08 AM by Nemo »

Offline cyofee

  • Lance Captain
  • ***
  • Posts: 735
  • l33tp0intz: +71/-62
    • cyofee
Re: Autoupdater C++ error
« Reply #29 on: July 27, 2012, 09:02:21 AM »
Same error as OP, same solution as last poster (switching to Parallel HTTP). Note that I already had the .zip downloaded from my seedbox.